## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%undefine _py3_shebang_s

%global pypi_name nbconvert

%bcond_without doc
%bcond_without check

Name:           python-%{pypi_name}
Version:        7.16.4
Release:        %autorelease
Summary:        Converting Jupyter Notebooks

License:        BSD-3-Clause
URL:            http://jupyter.org
Source0:        %pypi_source

BuildArch:      noarch

BuildRequires:  python3-devel
# Deps not covered by upstream metadata
%if %{with doc}
BuildRequires:  python3-ipython-sphinx
BuildRequires:  pandoc
%endif

%description
The nbconvert tool, jupyter nbconvert, converts notebooks to various other 
formats via Jinja templates. The nbconvert tool allows you to convert an 
.ipynb notebook file into various static formats including HTML, LaTeX, 
PDF, Reveal JS, Markdown (md), ReStructured Text (rst) and executable script.

%package -n     python3-%{pypi_name}
Summary:        Converting Jupyter Notebooks

Recommends:     inkscape
Recommends:     pandoc

%description -n python3-%{pypi_name}

The nbconvert tool, jupyter nbconvert, converts notebooks to various other 
formats via Jinja templates. The nbconvert tool allows you to convert an 
.ipynb notebook file into various static formats including HTML, LaTeX, 
PDF, Reveal JS, Markdown (md), ReStructured Text (rst) and executable script.

%package -n python-%{pypi_name}-doc
Summary:        Documentation for nbconvert
%description -n python-%{pypi_name}-doc
Documentation for nbconvert

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
echo "nbsphinx_allow_errors = True" >> docs/source/conf.py
# Remove coverage testing
sed -i '/"pytest-cov",/d' pyproject.toml
# Packages not available in Fedora
sed -i '/"pytest-dependency",/d' pyproject.toml
sed -i '/pyppeteer/d' pyproject.toml
sed -i 's/"sphinx==.*"/"sphinx"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test} %{?with_doc:-x docs}


%build
%pyproject_wheel

%if %{with doc}
export PYTHONPATH=$(pwd)
sphinx-build-3 docs/source html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# fix permissions and shebangs
%py3_shebang_fix %{buildroot}%{python3_sitelib}/%{pypi_name}/nbconvertapp.py
chmod 755 %{buildroot}%{python3_sitelib}/%{pypi_name}/nbconvertapp.py

%if %{with check}
%check
# Some tests are using templates provided by the previous
# version of nbconvert.
%pytest -W ignore::DeprecationWarning -k "\
    not test_convert_full_qualified_name and \
    not test_post_processor and \
    not test_language_code_error and \
    not test_language_code_not_set and \
    not test_mermaid_output and \
    not test_set_language_code"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc docs/README.md
%{_bindir}/jupyter-nbconvert
%{_bindir}/jupyter-dejavu
%{_datadir}/jupyter/%{pypi_name}/templates/

%if %{with doc}
%files -n python-%{pypi_name}-doc
%doc html
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jun 18 2024 Python Maint <python-maint@redhat.com> - 7.16.4-3
- Rebuilt for Python 3.13

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 7.16.4-2
- Bootstrap for Python 3.13

* Thu May 02 2024 Lumir Balhar <lbalhar@redhat.com> - 7.16.4-1
- Update to 7.16.4 (rhbz#2277834)

* Sun Mar 24 2024 Lumir Balhar <lbalhar@redhat.com> - 7.16.3-1
- Update to 7.16.3 (rhbz#2270839)

* Tue Mar 05 2024 Lumir Balhar <lbalhar@redhat.com> - 7.16.2-1
- Update to 7.16.2 (rhbz#2267752)

* Mon Feb 19 2024 Lumir Balhar <lbalhar@redhat.com> - 7.16.1-1
- Update to 7.16.1 (rhbz#2264877)

* Thu Feb 08 2024 Lumir Balhar <lbalhar@redhat.com> - 7.16.0-1
- Update to 7.16.0 (rhbz#2262893)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.14.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Lumir Balhar <lbalhar@redhat.com> - 7.14.2-1
- Update to 7.14.2 (rhbz#2258618)

* Thu Jan 11 2024 Lumir Balhar <lbalhar@redhat.com> - 7.14.1-1
- Update to 7.14.1 (rhbz#2257906)

* Tue Jan 02 2024 Lumir Balhar <lbalhar@redhat.com> - 7.14.0-1
- Update to 7.14.0 (rhbz#2256383)

* Fri Dec 22 2023 Lumir Balhar <lbalhar@redhat.com> - 7.13.1-1
- Update to 7.13.1 (rhbz#2255545)

* Tue Dec 19 2023 Lumir Balhar <lbalhar@redhat.com> - 7.13.0-1
- Update to 7.13.0 (rhbz#2255001)

* Tue Dec 05 2023 Lumir Balhar <lbalhar@redhat.com> - 7.12.0-1
- Update to 7.12.0 (rhbz#2252785)

* Sun Nov 19 2023 Lumir Balhar <lbalhar@redhat.com> - 7.11.0-1
- Update to 7.11.0 (rhbz#2248140)

* Tue Oct 31 2023 Lumir Balhar <lbalhar@redhat.com> - 7.10.0-2
- License update + SPDX

* Tue Oct 31 2023 Lumir Balhar <lbalhar@redhat.com> - 7.10.0-1
- Update to 7.10.0 (rhbz#2247068)

* Wed Oct 04 2023 Lumir Balhar <lbalhar@redhat.com> - 7.9.1-1
- Update to 7.9.1 (rhbz#2150825)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 10 2023 Python Maint <python-maint@redhat.com> - 7.2.5-7
- Rebuilt for Python 3.12

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 7.2.5-6
- Bootstrap for Python 3.12

* Wed Apr 05 2023 Miro Hrončok <miro@hroncok.cz> - 7.2.5-5
- Ensure proper version of mistune is required
- Fixes: rhbz#2177923

* Sat Mar 04 2023 Orion Poplawski <orion@nwra.com> - 7.2.5-4
- Do not run coverage tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 02 2022 Lumir Balhar <lbalhar@redhat.com> - 7.2.5-2
- Re-enable doc and check

* Wed Nov 30 2022 Lumir Balhar <lbalhar@redhat.com> - 7.2.5-1
- Update to 7.2.5 (rhbz#2131832)

* Tue Nov 01 2022 Miro Hrončok <miro@hroncok.cz> - 6.5.3-4
- Use the documented way of handling the shebangs

* Sat Aug 27 2022 Lumir Balhar <lbalhar@redhat.com> - 6.5.3-3
- Finish bootstrap, enable docs and tests

* Sat Aug 27 2022 Lumir Balhar <lbalhar@redhat.com> - 6.5.3-2
- Bootstrap build, no docs, no tests

* Wed Aug 24 2022 Lumir Balhar <lbalhar@redhat.com> - 6.5.3-1
- Update to 6.5.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 6.4.5-3
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 6.4.5-2
- Bootstrap for Python 3.11

* Thu Mar 31 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 6.4.5-1
- Update to 6.4.5

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 12 2022 Miro Hrončok <mhroncok@redhat.com> - 6.4.0-2
- Drop outdated unused BuildRequires of python3-mock

* Sat Jan 08 2022 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 6.4.0-1
- Update to 6.4.0

* Wed Dec 15 2021 Miro Hrončok <mhroncok@redhat.com> - 6.1.0-4
- Drop a redundant runtime dependency on setuptools

* Mon Nov 29 2021 Karolina Surma <ksurma@redhat.com> - 6.1.0-3
- Remove -s from Python shebang in `jupyter-nbconvert` to let Jupyter see 
  pip installed extensions

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 27 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.0.7-4
- Rebuilt for Python 3.10

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.0.7-3
- Bootstrap for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 6.0.7-1
- Update to 6.0.7

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 2020 Miro Hrončok <mhroncok@redhat.com> - 5.6.1-3
- Rebuilt for Python 3.9

* Mon May 25 2020 Miro Hrončok <mhroncok@redhat.com> - 5.6.1-2
- Bootstrap for Python 3.9

* Mon May 04 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.6.1-1
- Update to 5.6.1

* Sun May 03 2020 Miro Hrončok <mhroncok@redhat.com> - 5.6.0-4
- Recommend Inkscape for SVG to PDF conversion (#1830647)
- Fix compatibility with Inkscape 1.0rc1
- Recommend Pandoc for format conversions

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 26 2019 Miro Hrončok <mhroncok@redhat.com> - 5.6.0-2
- Correct the BR of python3-jupyter-core

* Mon Sep 02 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.6.0-1
- Update to 5.6.0

* Sun Aug 18 2019 Miro Hrončok <mhroncok@redhat.com> - 5.5.0-4
- Rebuilt for Python 3.8

* Sun Aug 18 2019 Miro Hrončok <mhroncok@redhat.com> - 5.5.0-3
- Bootstrap for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 28 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.5.0-1
- Update to 5.5.0

* Sun Feb 10 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.4.1-1
- Update to 5.4.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 13 2018 Miro Hrončok <mhroncok@redhat.com> - 5.4.0-1
- Update to 5.4.0

* Mon Nov 12 2018 Miro Hrončok <mhroncok@redhat.com> - 5.3.1-11
- Remove Python 2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Miro Hrončok <mhroncok@redhat.com> - 5.3.1-9
- Rebuilt for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 5.3.1-8
- Bootstrap for Python 3.7

* Mon Mar 19 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.3.1-7
- Remove pandoc as requires. Only pandocfilters is needed

* Mon Mar 19 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.3.1-6
- Add jupyter-client and defusedxml as requires

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.3.1-4
- Add python-mistune, python-bleach and pandoc as dependencies

* Wed Jan 03 2018 Lumír Balhar <lbalhar@redhat.com> - 5.3.1-3
- Fix directory ownership in python subpackages

* Wed Dec 27 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.3.1-2
- license file renamed to LICENSE (from copying.md)

* Wed Dec 27 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.3.1-1
- Update to 5.3.1

* Mon Dec 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 5.2.1-5
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Mon Oct 02 2017 Mukundan Ragavan <nonamedotc@gmail.com> - 5.2.1-4
- Fix requires (added pandocfilters and testpath)

* Fri Sep 01 2017 Miro Hrončok <mhroncok@redhat.com> - 5.2.1-3
- Move executables from py2 to py3 (#1410332)
- Add BRs to make the docs build

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 25 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.2.1-1
- Update to 5.2.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.2.0-6
- Rebuild for Python 3.6

* Thu Nov 03 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.0-5
- Python dep chain fixed
- Fixes bug#1391124

* Wed Nov 02 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.0-4
- Fix pulling entire python{2,3} stack as deps
- Fixes bug#1391124

* Sun Oct 02 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.0-3
- Fix issues pointed out by rpmlint
- Fix license field

* Thu Aug 11 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.0-2
- Fix build errors

* Thu Aug 11 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 4.2.0-1
- Initial package.

## END: Generated by rpmautospec
